Bug 771678 - CVE-2011-4347 kernel: kvm: device assignment DoS
CVE-2011-4347 kernel: kvm: device assignment DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 770096
Blocks: CVE-2011-4347
  Show dependency treegraph
 
Reported: 2012-01-04 10:29 EST by Josh Boyer
Modified: 2012-01-15 15:00 EST (History)
9 users (show)

See Also:
Fixed In Version: kernel-3.1.8-2.fc16
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 770096
Environment:
Last Closed: 2012-01-15 15:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2012-01-04 10:29:49 EST
+++ This bug was initially created as a clone of Bug #770096 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=756084

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from jwboyer@redhat.com on 2012-01-04 10:29:15 EST ---

F15 and F16 need this fixed.  Rawhide is already covered.
Comment 1 Josh Boyer 2012-01-04 10:39:47 EST
Fixed in Fedora git.
Comment 2 Vincent Danen 2012-01-04 12:49:07 EST
Hi Josh.  Is there a reason you are cloning these bugs?  The trackers are for "fedora-all", so you should be able to use the same tracking bug for both F15 and F16.  Just curious, as this is the second bug I've spotted where you've done this, so I'm not sure why you're cloning them.  Thanks.
Comment 3 Josh Boyer 2012-01-04 12:57:30 EST
(In reply to comment #2)
> Hi Josh.  Is there a reason you are cloning these bugs?  The trackers are for
> "fedora-all", so you should be able to use the same tracking bug for both F15
> and F16.  Just curious, as this is the second bug I've spotted where you've
> done this, so I'm not sure why you're cloning them.  Thanks.

People were getting confused when multiple bodhi updates (one for f15, one for f16) were commenting in the same bug.  I believe there was one case where the tracker bug was closed by bodhi (correctly) for f16, but it was never fixed in f15 and we didn't spot it because the bug was closed already (though I might be misremembering).

The person that suggested we clone them isn't really around anymore, and I don't really care either way, so if we want to stick with one tracker for all of Fedora then I'll stop cloning them.
Comment 4 Vincent Danen 2012-01-04 13:09:11 EST
I'm fine with either, I just wasn't sure if the process was no longer working for you guys, so wanted to find out if we could do something to improve it.  I can certainly ignore these cloned bugs if they help your process; we typically file one fedora tracker if the flaw affects all versions just to ease the amount of bugs you folks have to deal with, so I wanted to make sure that was still desirable.

If one tracker works for you, I'd suggest not cloning, but if it is easier to handle by cloning, then by all means continue.

Thanks for the explanation!
Comment 5 Dave Jones 2012-01-04 13:40:41 EST
I think part of the problem we had with missed updates was that F14 was several versions behind F15.  If we can keep the supported releases on the same base version, we should be able to just fix both at the same time and use the master tracker for both.

Though bodhi does get a bit verbose, and will then file two "an update has been submitted" comments, one for each build. Maybe that's desirable though, just for tracking purposes.
Comment 6 Josh Boyer 2012-01-04 14:20:17 EST
(In reply to comment #5)
> I think part of the problem we had with missed updates was that F14 was several
> versions behind F15.  If we can keep the supported releases on the same base
> version, we should be able to just fix both at the same time and use the master
> tracker for both.

Sounds fine with me.  From now on, we'll just use the single tracker bug the Security team opens.  Less work all around.

Thanks Dave and Vincent.
Comment 7 Vincent Danen 2012-01-04 16:29:23 EST
Great, thank both of you (and, for reference, bodhi being verbose is probably a good thing).
Comment 8 Fedora Update System 2012-01-07 21:26:47 EST
kernel-3.1.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.8-2.fc16
Comment 9 Fedora Update System 2012-01-11 01:19:32 EST
Package kernel-3.1.8-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.8-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0363/kernel-3.1.8-2.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-01-15 15:00:25 EST
kernel-3.1.8-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.